#!/usr/bin/perl -w

use Test::More tests => 2;
require WWW::Yahoo::Credentials;

eval {
    my $credentials = WWW::Yahoo::Credentials->new( badusage => 'test' );
};
isa_ok( $@, 'WWW::Yahoo::Credentials::Exception::Usage', 'bad usage' );
like( $@, qr!invalid 'badusage' field in class!, 'bad usage' );
